<!--
 Licensed to the Apache Software Foundation (ASF) under one
 or more contributor license agreements.  See the NOTICE file
 distributed with this work for additional information
 regarding copyright ownership.  The ASF licenses this file
 to you under the Apache License, Version 2.0 (the
 "License"); you may not use this file except in compliance
 with the License.  You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing,
 software distributed under the License is distributed on an
 "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied.  See the License for the
 specific language governing permissions and limitations
 under the License.
 -->

# ScheduleInterval

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Type** | **string** |  | 
**Days** | **int32** |  | 
**Seconds** | **int32** |  | 
**Microseconds** | **int32** |  | 
**Years** | **int32** |  | 
**Months** | **int32** |  | 
**Leapdays** | **int32** |  | 
**Hours** | **int32** |  | 
**Minutes** | **int32** |  | 
**Year** | **int32** |  | 
**Month** | **int32** |  | 
**Day** | **int32** |  | 
**Hour** | **int32** |  | 
**Minute** | **int32** |  | 
**Second** | **int32** |  | 
**Microsecond** | **int32** |  | 
**Value** | **string** |  | 

## Methods

### NewScheduleInterval

`func NewScheduleInterval(type_ string, days int32, seconds int32, microseconds int32, years int32, months int32, leapdays int32, hours int32, minutes int32, year int32, month int32, day int32, hour int32, minute int32, second int32, microsecond int32, value string, ) *ScheduleInterval`

NewScheduleInterval instantiates a new ScheduleInterval object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewScheduleIntervalWithDefaults

`func NewScheduleIntervalWithDefaults() *ScheduleInterval`

NewScheduleIntervalWithDefaults instantiates a new ScheduleInterval object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetType

`func (o *ScheduleInterval) GetType() string`

GetType returns the Type field if non-nil, zero value otherwise.

### GetTypeOk

`func (o *ScheduleInterval) GetTypeOk() (*string, bool)`

GetTypeOk returns a tuple with the Type field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetType

`func (o *ScheduleInterval) SetType(v string)`

SetType sets Type field to given value.


### GetDays

`func (o *ScheduleInterval) GetDays() int32`

GetDays returns the Days field if non-nil, zero value otherwise.

### GetDaysOk

`func (o *ScheduleInterval) GetDaysOk() (*int32, bool)`

GetDaysOk returns a tuple with the Days field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDays

`func (o *ScheduleInterval) SetDays(v int32)`

SetDays sets Days field to given value.


### GetSeconds

`func (o *ScheduleInterval) GetSeconds() int32`

GetSeconds returns the Seconds field if non-nil, zero value otherwise.

### GetSecondsOk

`func (o *ScheduleInterval) GetSecondsOk() (*int32, bool)`

GetSecondsOk returns a tuple with the Seconds field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSeconds

`func (o *ScheduleInterval) SetSeconds(v int32)`

SetSeconds sets Seconds field to given value.


### GetMicroseconds

`func (o *ScheduleInterval) GetMicroseconds() int32`

GetMicroseconds returns the Microseconds field if non-nil, zero value otherwise.

### GetMicrosecondsOk

`func (o *ScheduleInterval) GetMicrosecondsOk() (*int32, bool)`

GetMicrosecondsOk returns a tuple with the Microseconds field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMicroseconds

`func (o *ScheduleInterval) SetMicroseconds(v int32)`

SetMicroseconds sets Microseconds field to given value.


### GetYears

`func (o *ScheduleInterval) GetYears() int32`

GetYears returns the Years field if non-nil, zero value otherwise.

### GetYearsOk

`func (o *ScheduleInterval) GetYearsOk() (*int32, bool)`

GetYearsOk returns a tuple with the Years field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetYears

`func (o *ScheduleInterval) SetYears(v int32)`

SetYears sets Years field to given value.


### GetMonths

`func (o *ScheduleInterval) GetMonths() int32`

GetMonths returns the Months field if non-nil, zero value otherwise.

### GetMonthsOk

`func (o *ScheduleInterval) GetMonthsOk() (*int32, bool)`

GetMonthsOk returns a tuple with the Months field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMonths

`func (o *ScheduleInterval) SetMonths(v int32)`

SetMonths sets Months field to given value.


### GetLeapdays

`func (o *ScheduleInterval) GetLeapdays() int32`

GetLeapdays returns the Leapdays field if non-nil, zero value otherwise.

### GetLeapdaysOk

`func (o *ScheduleInterval) GetLeapdaysOk() (*int32, bool)`

GetLeapdaysOk returns a tuple with the Leapdays field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetLeapdays

`func (o *ScheduleInterval) SetLeapdays(v int32)`

SetLeapdays sets Leapdays field to given value.


### GetHours

`func (o *ScheduleInterval) GetHours() int32`

GetHours returns the Hours field if non-nil, zero value otherwise.

### GetHoursOk

`func (o *ScheduleInterval) GetHoursOk() (*int32, bool)`

GetHoursOk returns a tuple with the Hours field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetHours

`func (o *ScheduleInterval) SetHours(v int32)`

SetHours sets Hours field to given value.


### GetMinutes

`func (o *ScheduleInterval) GetMinutes() int32`

GetMinutes returns the Minutes field if non-nil, zero value otherwise.

### GetMinutesOk

`func (o *ScheduleInterval) GetMinutesOk() (*int32, bool)`

GetMinutesOk returns a tuple with the Minutes field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMinutes

`func (o *ScheduleInterval) SetMinutes(v int32)`

SetMinutes sets Minutes field to given value.


### GetYear

`func (o *ScheduleInterval) GetYear() int32`

GetYear returns the Year field if non-nil, zero value otherwise.

### GetYearOk

`func (o *ScheduleInterval) GetYearOk() (*int32, bool)`

GetYearOk returns a tuple with the Year field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetYear

`func (o *ScheduleInterval) SetYear(v int32)`

SetYear sets Year field to given value.


### GetMonth

`func (o *ScheduleInterval) GetMonth() int32`

GetMonth returns the Month field if non-nil, zero value otherwise.

### GetMonthOk

`func (o *ScheduleInterval) GetMonthOk() (*int32, bool)`

GetMonthOk returns a tuple with the Month field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMonth

`func (o *ScheduleInterval) SetMonth(v int32)`

SetMonth sets Month field to given value.


### GetDay

`func (o *ScheduleInterval) GetDay() int32`

GetDay returns the Day field if non-nil, zero value otherwise.

### GetDayOk

`func (o *ScheduleInterval) GetDayOk() (*int32, bool)`

GetDayOk returns a tuple with the Day field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDay

`func (o *ScheduleInterval) SetDay(v int32)`

SetDay sets Day field to given value.


### GetHour

`func (o *ScheduleInterval) GetHour() int32`

GetHour returns the Hour field if non-nil, zero value otherwise.

### GetHourOk

`func (o *ScheduleInterval) GetHourOk() (*int32, bool)`

GetHourOk returns a tuple with the Hour field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetHour

`func (o *ScheduleInterval) SetHour(v int32)`

SetHour sets Hour field to given value.


### GetMinute

`func (o *ScheduleInterval) GetMinute() int32`

GetMinute returns the Minute field if non-nil, zero value otherwise.

### GetMinuteOk

`func (o *ScheduleInterval) GetMinuteOk() (*int32, bool)`

GetMinuteOk returns a tuple with the Minute field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMinute

`func (o *ScheduleInterval) SetMinute(v int32)`

SetMinute sets Minute field to given value.


### GetSecond

`func (o *ScheduleInterval) GetSecond() int32`

GetSecond returns the Second field if non-nil, zero value otherwise.

### GetSecondOk

`func (o *ScheduleInterval) GetSecondOk() (*int32, bool)`

GetSecondOk returns a tuple with the Second field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSecond

`func (o *ScheduleInterval) SetSecond(v int32)`

SetSecond sets Second field to given value.


### GetMicrosecond

`func (o *ScheduleInterval) GetMicrosecond() int32`

GetMicrosecond returns the Microsecond field if non-nil, zero value otherwise.

### GetMicrosecondOk

`func (o *ScheduleInterval) GetMicrosecondOk() (*int32, bool)`

GetMicrosecondOk returns a tuple with the Microsecond field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetMicrosecond

`func (o *ScheduleInterval) SetMicrosecond(v int32)`

SetMicrosecond sets Microsecond field to given value.


### GetValue

`func (o *ScheduleInterval) GetValue() string`

GetValue returns the Value field if non-nil, zero value otherwise.

### GetValueOk

`func (o *ScheduleInterval) GetValueOk() (*string, bool)`

GetValueOk returns a tuple with the Value field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetValue

`func (o *ScheduleInterval) SetValue(v string)`

SetValue sets Value field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


